clang-tools 6.0.0

Classes | Functions
clang::tidy::google::readability Namespace Reference

## Classes
class | AvoidCStyleCastsCheck
| Finds usages of C-style casts. More...
class | GlobalNamesInHeadersCheck
| Flag global namespace pollution in header files. More...
class | TodoCommentCheck
| Finds TODO comments without a username or bug number. More...

## Functions
static bool | needsConstCast (QualType SourceType, QualType DestType)
static bool | pointedUnqualifiedTypesAreEqual (QualType T1, QualType T2)

## Function Documentation

## ◆ needsConstCast()

static bool clang::tidy::google::readability::needsConstCast | ( | QualType | SourceType,
|  | QualType | DestType
| ) |  |
| static

Definition at line 37 of file AvoidCStyleCastsCheck.cpp.

## ◆ pointedUnqualifiedTypesAreEqual()

static bool clang::tidy::google::readability::pointedUnqualifiedTypesAreEqual | ( | QualType | T1,
|  | QualType | T2
| ) |  |
| static

Definition at line 50 of file AvoidCStyleCastsCheck.cpp.